> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Finding

> Get one finding with deterministic evidence and remediation availability.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/advisor/findings/{findingId}
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/advisor/findings/{findingId}:
    get:
      tags:
        - advisor
      summary: Get Finding
      description: >-
        Get one finding with deterministic evidence and remediation
        availability.
      operationId: advisor.getFinding
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: databaseId
          in: path
          required: true
          schema:
            type: string
        - name: findingId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Advisor finding.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  databaseId:
                    type: string
                  category:
                    type: string
                    enum:
                      - performance
                      - security
                      - cost
                      - reliability
                      - backup
                  severity:
                    type: string
                    enum:
                      - info
                      - warning
                      - critical
                  status:
                    type: string
                    enum:
                      - open
                      - dismissed
                      - resolved
                  title:
                    type: string
                  summary:
                    type: string
                  recommendation:
                    type: string
                  remediationAvailable:
                    type: boolean
                  evidence:
                    type: array
                    items:
                      type: object
                      properties:
                        metric:
                          type: string
                        value:
                          type:
                            - number
                            - string
                            - boolean
                            - 'null'
                        unit:
                          type:
                            - string
                            - 'null'
                        observedFrom:
                          type: string
                          format: date-time
                        observedUntil:
                          type: string
                          format: date-time
                        normalizedQuery:
                          type:
                            - string
                            - 'null'
                          description: >-
                            Normalized SQL with literal values removed; raw SQL
                            is never retained here.
                      required:
                        - metric
                        - value
                        - unit
                        - observedFrom
                        - observedUntil
                        - normalizedQuery
                  estimatedMonthlyCostDeltaCents:
                    type:
                      - integer
                      - 'null'
                  firstObservedAt:
                    type: string
                    format: date-time
                  lastObservedAt:
                    type: string
                    format: date-time
                  dismissedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  resolvedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                required:
                  - id
                  - databaseId
                  - category
                  - severity
                  - status
                  - title
                  - summary
                  - recommendation
                  - remediationAvailable
                  - evidence
                  - estimatedMonthlyCostDeltaCents
                  - firstObservedAt
                  - lastObservedAt
                  - dismissedAt
                  - resolvedAt
        '404':
          description: No such finding for this database.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````